Subject: [pkix] [Technical Errata Reported] RFC4491 (1885)

From: RFC Errata System <[email-masked]>
Date: Thu, 17 Sep 2009 02:38:58 -0700 (PDT)

The following errata report has been submitted for RFC4491,
"Using the GOST R 34.10-94, GOST R 34.10-2001, and GOST R 34.11-94 Algorithms with the Internet X.509 Public Key Infrastructure Certificate and CRL Profile".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4491&eid=1885

--------------------------------------
Type: Technical
Reported by: Alfred Hoenes <[email-masked]>

Section: 2.3.1, 2.3.2

Original Text
-------------
a)  Section 2.3.1, page 7

|  GostR3410-94-PublicKey MUST contain 128 octets of the little-endian
   representation of the public key Y = a^x (mod p), where a and p are
   public key parameters, and x is a private key.

b) Section 2.3.2, page 9

   GostR3410-2001-PublicKey MUST contain 64 octets, where the first 32
|  octets contain the little-endian representation of x and the second
|  32 octets contain the little-endian representation of y.  [...]

Corrected Text
--------------
a)

|  GostR3410-94-PublicKey MUST contain 128 octets of the big-endian
   representation of the public key Y = a^x (mod p), where a and p are
   public key parameters, and x is a private key.

b)

   GostR3410-2001-PublicKey MUST contain 64 octets, where the first 32
|  octets contain the big-endian representation of x and the second
|  32 octets contain the big-endian representation of y.  [...]

Notes
-----
Rationale:
Inconsistency within the RFC.
Most parts of the memo make use of the Internet-standard
"network byte order". a.k.a. "big-endian byte order", which
also is at the heart of the ASN.1 BER/DER encoding.
Use of mixed endian-ness within a single context, or even
a single specification, is a likely source of implementation
errors and, consequently, interoperability problems.

Cf. the related Errata Note for RFC 4490, EID=1884.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4491 (draft-ietf-pkix-gost-cppk-05)
--------------------------------------
Title               : Using the GOST R 34.10-94, GOST R 34.10-2001, and GOST R 34.11-94 Algorithms with the Internet X.509 Public Key Infrastructure Certificate and CRL Profile
Publication Date    : May 2006
Author(s)           : S. Leontiev, Ed., D. Shefanovski, Ed.
Category            : PROPOSED STANDARD
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG